
/*
 * Copyright (C) 2010-2016 Oracle Corporation
 *
 * This file is part of the VirtualBox SDK, as available from
 * http://www.virtualbox.org.  This library is free software; you can
 * redistribute it and/or modify it under the terms of the GNU Lesser General
 * Public License as published by the Free Software Foundation, in version 2.1
 * as it comes in the "COPYING.LIB" file of the VirtualBox SDK distribution.
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
 * License for more details.
 *
 * ISerialPortChangedEvent.java
 *
 * DO NOT EDIT! This is a generated file.
 * Generated from: src/VBox/Main/idl/VirtualBox.xidl (VirtualBox's interface definitions in XML)
 * Generator: src/VBox/Main/glue/glue-java.xsl
 */

package org.virtualbox_5_2;

import org.virtualbox_5_2.jaxws.*;
import javax.xml.ws.*;
import java.util.List;


/**
Notification when a property of one of the
virtual{@link org.virtualbox_5_2.IMachine#getSerialPort(Long)}changes.
Interested callees should use ISerialPort methods and attributes
to find out what has changed.

Interface ID: <tt>{3BA329DC-659C-488B-835C-4ECA7AE71C6C}</tt>
*/
public class ISerialPortChangedEvent extends IEvent
{

    public ISerialPortChangedEvent(String wrapped, ObjectRefManager objMgr, VboxPortType port)
    {
        super(wrapped, objMgr, port);
    }

/**
Serial port that is subject to change.
@return org.virtualbox_5_2.ISerialPort
*/
    public org.virtualbox_5_2.ISerialPort getSerialPort()
    {
        this.getObjMgr().preventObjRelease();
        try
        {
            String retVal = port.iSerialPortChangedEventGetSerialPort(obj);
            return (retVal.length() > 0) ? new org.virtualbox_5_2.ISerialPort(retVal, getObjMgr(), port) : null;
        }
        catch (InvalidObjectFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.getObjMgr(), this.port);
        }
        catch (RuntimeFaultMsg e)
        {
            throw new VBoxException(e.getMessage(), e, this.getObjMgr(), this.port);
        }
        finally
        {
            getObjMgr().allowObjRelease();
        }
    }
    public static ISerialPortChangedEvent queryInterface(IUnknown obj)
    {
        return obj == null ?  null : new ISerialPortChangedEvent(obj.getWrapped(), obj.getObjMgr(), obj.getRemoteWSPort());
    }
}
